Results 1 to 10 of 10

Thread: Acrobat Reader 9 and childsplay not working after upgrade to 13.10

  1. #1
    Join Date
    Sep 2011
    Location
    Nasik, MH, India
    Beans
    82
    Distro
    Ubuntu 13.10 Saucy Salamander

    Unhappy Acrobat Reader 9 and childsplay not working after upgrade to 13.10

    After I upgraded to Ubuntu 13.10 from version 13.04 some of already installed programs have stopped working. One of them is Acrobat Reader 9. When I click on acrobat reader 9 icon in dash nothing happen. If I try to run it through command line I get output

    "/opt/Adobe/Reader9/Reader/intellinux/bin/acroread: error while loading shared libraries: libxml2.so.2: cannot open shared object file: No such file or directory"

    I believe it has something to do with ia32-libs package. As the package has become obsolete. I have installed newer alternate package but that is not working.

    Second such program which has stopped working is childsplay. Same like Acrobat Reader 9, nothing happens when I clicked it's icon in dash. Below here is output when I try to run it in terminal

    "Traceback (most recent call last):
    File "/usr/games/childsplay", line 118, in <module>
    import childsplay_sp.SPMainCore as SPMainCore
    File "/usr/lib/python2.7/dist-packages/childsplay_sp/SPMainCore.py", line 64, in <module>
    from sqlalchemy import exceptions as sqla_exceptions
    ImportError: cannot import name exceptions"


    Please help as both these software are important for me.

  2. #2
    Join Date
    Jul 2007
    Location
    Unknown
    Beans
    16,641
    Distro
    Ubuntu Development Release

    Re: Acrobat Reader 9 and childsplay not working after upgrade to 13.10


  3. #3
    Join Date
    Sep 2011
    Location
    Nasik, MH, India
    Beans
    82
    Distro
    Ubuntu 13.10 Saucy Salamander

    Re: Acrobat Reader 9 and childsplay not working after upgrade to 13.10

    Thanks a lot. It helped. Acrobat Reader 9 is now working. Can you help with second part as well? I am waiting for answer from some one for second part before I mark this thread solved.

  4. #4
    Join Date
    Jul 2007
    Location
    Unknown
    Beans
    16,641
    Distro
    Ubuntu Development Release

    Re: Acrobat Reader 9 and childsplay not working after upgrade to 13.10

    Code:
    sudo apt-get purge childsplay
    Then reinstall it.

    Code:
    sudo apt-get install childsplay
    Any user settings will be preserved.

  5. #5
    Join Date
    Aug 2013
    Beans
    1,290

    Re: Acrobat Reader 9 and childsplay not working after upgrade to 13.10

    Why even use Acroread? It is monstrous resource hog. The default document viewer works much better. Even in Windows I didn't use Acrobat's PDF reader.

  6. #6
    Join Date
    Jul 2007
    Location
    Unknown
    Beans
    16,641
    Distro
    Ubuntu Development Release

    Re: Acrobat Reader 9 and childsplay not working after upgrade to 13.10

    Quote Originally Posted by monkeybrain20122 View Post
    Why even use Acroread? It is monstrous resource hog. The default document viewer works much better. Even in Windows I didn't use Acrobat's PDF reader.
    Very simple. Some complex pdfs will not display correctly in evince. No way no how. Formatting gets completely mangled.

  7. #7
    Join Date
    Jul 2007
    Location
    Auckland, NZ
    Beans
    3,510
    Distro
    Xubuntu Development Release

    Re: Acrobat Reader 9 and childsplay not working after upgrade to 13.10

    I've yet to find another Linux pdf viewer that will handle editable form fields as well as Acroread does. qpdf isn't bad, but it makes the text in some fields HUGE if there are only two or three words needed.
    Please, people, remember to BACKUP before you install that new system. Same if you're upgrading.

  8. #8
    Join Date
    Mar 2011
    Location
    19th Hole
    Beans
    1,239
    Distro
    Ubuntu 13.10 Saucy Salamander

    Re: Acrobat Reader 9 and childsplay not working after upgrade to 13.10

    monkeybrain still has a point though. Until you run into such issues, I would recommend against Acroread too. I haven't needed to fill in editable form fields in forever. Have used Evince for years now, with perfect satisfaction. Acroread also has a history of getting compromised. So not only is it a pig, it easily passes swine flu. If it must be used, I would set Evince as the default and invoke Acroread only for the most swinish PDFs.
    Newb: How far must I jump to clear the ledge halfway down?
    Guru: It's bad to jump off cliffs. Let's look at better options.
    Newb: Stop harping about "best practices" and just tell me.


  9. #9
    Join Date
    Aug 2013
    Beans
    1,290

    Re: Acrobat Reader 9 and childsplay not working after upgrade to 13.10

    Quote Originally Posted by Irihapeti View Post
    I've yet to find another Linux pdf viewer that will handle editable form fields as well as Acroread does. qpdf isn't bad, but it makes the text in some fields HUGE if there are only two or three words needed.
    I can fill some forms with okular, but you are right that there is no good pdf form filler on Linux (it is a shame) especially forms with scripts (some tax forms, e.g) To my mind a still better solution is to use PDF-Xchange-viewer in Wine (they claim that they have tested it on wine so there is no need for a Linux version. ) It works perfectly and is very light and fast, unlike acroread. I use it only to fill forms maybe a couple of times in a year, otherwise I use the default reader (or Okular)

    Besides, with Adobe dropping everything Linux who knows how long you will even have Acroread. I wouldn't put any egg in the Adobe basket.
    Last edited by monkeybrain20122; November 22nd, 2013 at 07:46 AM.

  10. #10
    Join Date
    Sep 2011
    Location
    Nasik, MH, India
    Beans
    82
    Distro
    Ubuntu 13.10 Saucy Salamander

    Re: Acrobat Reader 9 and childsplay not working after upgrade to 13.10

    I tried purging and then reinstalling it. Here is output:

    childsplay
    Traceback (most recent call last):
    File "/usr/games/childsplay", line 118, in <module>
    import childsplay_sp.SPMainCore as SPMainCore
    File "/usr/lib/python2.7/dist-packages/childsplay_sp/SPMainCore.py", line 64, in <module>
    from sqlalchemy import exceptions as sqla_exceptions
    ImportError: cannot import name exceptions

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •